function motivoParcelamento() {
	const ZeedhiAPIConstructor = require('zeedhi-functional-test-api');
	const z = new ZeedhiAPIConstructor(browser, protractor);
	const Helper = require('teknisa-helper');
	const geral = new Helper.geral();
	const protractorHelper = require('protractor-helper');

	this.abrir = () => {
		z.component.menu.open();
		protractorHelper.waitForElementVisibility(element(by.css('.menu-overlay')));
		z.component.menu.clickByPath(['Parametrização', 'Financeiro', 'Motivo de Parcelamento']);
		geral.esperarLoading();
	};

	this.adicionar = (codigo, descricao) => {
		geral.clickAndFillFields('CDMOTIPARC', codigo,
			'DSMOTIPARC', descricao);
	};

	this.editar = (descricao) => {
		geral.fillField('DSMOTIPARC', descricao);
	};
}
module.exports = new motivoParcelamento();
